Anti-Bedrock

Anti-Bedrock Banner

Anti-Bedrock

ATTENTION! THIS PLUGIN WILL NO LONGER BE UPDATED! USE BlockControl INSTEAD!

Description

Anti-Bedrock is a block management plugin. The name might be confusing but this plugin has evolved to a more flexible state where server admins can control which blocks players can or cannot place or destroy. It features a simple configuration, you can simply add any block you would like.

Features

  • Compiled in Java 7 Environment! You need to have Java 7 in order to run this plugin!
  • Permissions support (SuperPerms)
  • Operators are allowed to destroy bedrock and place them
  • Blocks block placement and removing of users that are not operators or have the permission node
  • Fully configurable disallowed blocks, add as many as you want!
  • Remove block from inventory if block is used/placed
  • If player tries to pickup bedrock without permission, he/she cannot pickup the item drop (Next update will include a separate list)
  • Prevents the dragon egg from teleporting when interacted. Useful for servers who have people collect Ender Dragon eggs! You need pistons to gather the dragon egg!

How to use

How to use the configuration file The configuration file is fairly simple, you can list down any blocks you would like the plugin to block in CAPITAL letters! If you need a list of items follow this list.

Permission Nodes

  • antibedrock.place - Allows anyone with this node to place bedrock
  • antibedrock.destroy - Allows anyone with this node to destroy bedrock
  • antibedrock.pickup - Allows anyone with this node to pickup bedrock item drop
  • antibedrock.dragon - Allows you to teleport the egg by right or left clicking (hard coded so even if the player isn't looking at it, it won't teleport).

Upcoming features

  • Edit warning message and options on what to do with the player
  • Suggestions?

Anti-Bedrock Banner NOTE: If the player is using a World Editing tool (e.g. WorldEdit, Voxel Sniper ,etc). Blocks that are blocked can be bypassed.

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of TheOneWhoOwns TheOneWhoOwns Aug 08, 2012 at 19:00 UTC - 0 likes

    Does this work for 1.3 ?

  • Avatar of th3controller th3controller Jul 12, 2012 at 14:27 UTC - 0 likes

    @kdude63: Go

    Sorry for the short reply. I'll see what I can do. Recently my workspace was recently destroyed.

  • Avatar of kdude63 kdude63 Jul 07, 2012 at 08:32 UTC - 0 likes

    @th3controller: Go

    The ability to choose what block types the plugin checks for permissions, and the ability to change the message that's displayed to people that try to use/pickup a block without the proper permissions.

    Essentially that which is under Upcoming Features. :3

    BFAK:kdude63,90571047,085a59c3d021d83f15aa48ac5dd67ade8f933ecd72fb47d568fad19f48fd1611

  • Avatar of th3controller th3controller Jul 07, 2012 at 03:34 UTC - 0 likes

    @kdude63: Go

    One question, what type of options would you expect if I added a configuration file.

  • Avatar of kdude63 kdude63 Jul 06, 2012 at 19:18 UTC - 1 like

    @th3controller: Go

    I did. :3

    But you should still put a little notice in there because I know that there are still people that run it with Java6.
    EDIT: My bad. Didn't see it there. lol

    Last edited Jul 06, 2012 by kdude63
  • Avatar of th3controller th3controller Jul 06, 2012 at 11:26 UTC - 0 likes

    @kdude63: Go

    Oh my fault. You're right, I compile my plugins in Java 7 environment.

    But you should be the one who needs to upgrade. Java 7 is now officially released. Go grab em'! :D

  • Avatar of kdude63 kdude63 Jul 06, 2012 at 02:05 UTC - 0 likes

    @th3controller: Go

    Friend, you need to include in your plugin description that it doesn't work if you're using Java 6 to run the server.

    That's what the "Unsupported major.minor version 51.0" in the second line of errors means as I just found out. >_>
    (Just for future reference.)

  • Avatar of th3controller th3controller Jul 05, 2012 at 03:00 UTC - 0 likes

    @kdude63: Go

    You check in your server.log

  • Avatar of kdude63 kdude63 Jun 29, 2012 at 06:45 UTC - 0 likes

    @th3controller: Go

    Call me a nub, but uh... How does one check for plugin conflicts?

  • Avatar of th3controller th3controller Jun 27, 2012 at 05:53 UTC - 0 likes

    @kdude63: Go

    I don't know whats the problem with yours. I test all my plugins in a CraftBukkit Plus Plus environment.

    I am using the same versionas you are. Version 258, no one else is having the issue but you. Check if any of your plugins are conflicting with mines.

Facts

Date created
Apr 17, 2012
Categories
Last update
Dec 18, 2012
Development stage
Release
Language
  • enUS
License
GNU General Public License version 3 (GPLv3)
Curse link
Anti-Bedrock
Downloads
6,477
Recent files

Authors